#include <bits/stdc++.h>

using namespace std;

#define MAX 1000000

int main()
{
    string str;
    char s[MAX];
    char temp[MAX];
    cin >> str;
    vector <char> c;
    strcpy(s, str.c_str());
    long long int p = str.size();
    for(int i = 0; i < p; ++i)
    {
        c.push_back(s[i]);
    }
    sort(c.begin(), c.end());
    long long int l = p-1;
    long long int razlika = 0;
    bool da = false;
    for(long long int i = 0; i < p/2;++i)
    {
        if(s[i] == s[l])
        {
            l--;
        }
        else
        {
            da = true;
            for(long long int j = i+1; j < l; ++j)
            {
                if(s[j] == s[i])
                {
                    swap(s[j],s[l]);
                    if(l-j+1>razlika)
                        razlika = l-j+1;
                    break;
                }
                else if(s[j] != s[i] && j == l-1)
                {
                    swap(s[i],s[(p/2)]);
                    l = l+1;
                    i = i - 1;
                    if(razlika < p/2-i+1)
                        razlika = p/2-i+1;
                    break;
                }
            }
            l--;
        }
    }
    if(da == false)
        razlika = 1;
    cout << razlika;
    return 0;
}